creator {

  $radius: 0;

  .borderRadius {
    overflow: hidden;
    border-radius: $radius;
  }

  display: block;

  // smaller toolbar
  ion-toolbar.toolbar {
    min-height: inherit;
  }


  .editMode {

    @extend .borderRadius;
    background: color($colors, 'dark');

    creator-widgets {

      border: 5px solid color($colors, 'dark');
      border-bottom: 0;

      @extend .borderRadius;

      creator-widget {
        @extend .borderRadius;
        margin-bottom: 5px;
        background: #FFF;

        &:last-of-type {
          margin-bottom: 0;
        }

        creator-widget-table creator-widgets {
          margin: 3px;
        }
      }
    }
  }

}

.ngx-dnd-container {
  //margin: 5px;
  //padding: 5px;

  &.gu-empty {
    min-height: 100px;
  }

  &:nth-child(odd) {
    //background-color: rgba(0, 0, 0, 0.2);
  }

  .ex-moved {
    //background-color: #e74c3c;
  }

  .ex-over {
    //background-color: rgba(255, 255, 255, 0.3);
  }
}

.no-select {
  user-select: none;
}

.ngx-dnd-item {
  //margin: 5px;
  //padding: 5px;
  //background-color: rgba(0, 0, 0, 0.2);
  transition: opacity 0.4s ease-in-out;
  //border: 1px solid transparent;
  display: block;

  &:not(.has-handle):not(.move-disabled),
  &.has-handle [ngxdraghandle],
  &.has-handle [ngxDragHandle] {
    cursor: move;
  }

  .ngx-dnd-content {
    //user-select: none;
  }

  &:hover {
    //border: 1px solid blue;
  }
}

.gu-mirror {
  position: fixed !important;
  margin: 0 !important;
  z-index: 9999 !important;
  opacity: 0.8;
  -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=80)";
  filter: alpha(opacity=80);
}

.gu-hide {
  display: none !important;
}

.gu-unselectable {
  user-select: none !important;
}

.gu-transit {
  opacity: 0.2;
  -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=20)";
  filter: alpha(opacity=20);
}